## libmediainfo 0.7.23

=== Project/CMake/CMakeLists.txt ===
project(mediainfo)

set(MEDIAINFO_MAJOR_VERSION 0)
set(MEDIAINFO_MINOR_VERSION 7)
set(MEDIAINFO_PATCH_VERSION 9)
set(MEDIAINFO_VERSION ${MEDIAINFO_MAJOR_VERSION}.${MEDIAINFO_MINOR_VERSION}.${MEDIAINFO_PATCH_VERSION})

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../)

include_directories(${ZLIB_INCLUDE_DIR})

add_definitions(-DUNICODE -DMEDIAINFO_MINIMIZESIZE)

set(mediainfo_SRCS
	MediaInfo/File__Analyze.cpp
	MediaInfo/File__Analyze_Buffer.cpp
	MediaInfo/File__Analyze_Buffer_MinimizeSize.cpp
	MediaInfo/File__Analyze_Streams.cpp
	MediaInfo/File__Analyze_Streams_Finish.cpp
	MediaInfo/File__Base.cpp
	MediaInfo/File__MultipleParsing.cpp
	MediaInfo/File__Duplicate.cpp
	MediaInfo/File_Dummy.cpp
	MediaInfo/File_Other.cpp
	MediaInfo/File_Unknown.cpp
	MediaInfo/MediaInfo.cpp
	MediaInfo/MediaInfo_Config.cpp
	MediaInfo/MediaInfo_Config_Automatic.cpp
	MediaInfo/MediaInfo_Config_MediaInfo.cpp
	MediaInfo/MediaInfo_File.cpp
	MediaInfo/MediaInfo_Inform.cpp
	MediaInfo/MediaInfo_Internal.cpp
	MediaInfo/MediaInfoList.cpp
	MediaInfo/MediaInfoList_Internal.cpp
	MediaInfo/Archive/File_7z.cpp
	MediaInfo/Archive/File_Ace.cpp
	MediaInfo/Archive/File_Bzip2.cpp
	MediaInfo/Archive/File_Elf.cpp
	MediaInfo/Archive/File_Gzip.cpp
	MediaInfo/Archive/File_Mz.cpp
	MediaInfo/Archive/File_Rar.cpp
	MediaInfo/Archive/File_Tar.cpp
	MediaInfo/Archive/File_Zip.cpp
	MediaInfo/Audio/File_Aac.cpp
	MediaInfo/Audio/File_Ac3.cpp
	MediaInfo/Audio/File_Adif.cpp
	MediaInfo/Audio/File_Adpcm.cpp
	MediaInfo/Audio/File_Adts.cpp
	MediaInfo/Audio/File_Aes3.cpp
	MediaInfo/Audio/File_Als.cpp
	MediaInfo/Audio/File_Amr.cpp
	MediaInfo/Audio/File_Amv.cpp
	MediaInfo/Audio/File_Ape.cpp
	MediaInfo/Audio/File_Au.cpp
	MediaInfo/Audio/File_Dts.cpp
	MediaInfo/Audio/File_ExtendedModule.cpp
	MediaInfo/Audio/File_Flac.cpp
	MediaInfo/Audio/File_ImpulseTracker.cpp
	MediaInfo/Audio/File_La.cpp
	MediaInfo/Audio/File_Latm.cpp
	MediaInfo/Audio/File_Midi.cpp
	MediaInfo/Audio/File_Module.cpp
	MediaInfo/Audio/File_Mpc.cpp
	MediaInfo/Audio/File_MpcSv8.cpp
	MediaInfo/Audio/File_Mpeg4_AudioSpecificConfig.cpp
	MediaInfo/Audio/File_Mpega.cpp
	MediaInfo/Audio/File_Pcm.cpp
	MediaInfo/Audio/File_Ps2Audio.cpp
	MediaInfo/Audio/File_ScreamTracker3.cpp
	MediaInfo/Audio/File_Speex.cpp
	MediaInfo/Audio/File_Tak.cpp
	MediaInfo/Audio/File_Tta.cpp
	MediaInfo/Audio/File_TwinVQ.cpp
	MediaInfo/Audio/File_Vorbis.cpp
	MediaInfo/Audio/File_Wvpk.cpp
	MediaInfo/Duplicate/File__Duplicate__Base.cpp
	MediaInfo/Duplicate/File__Duplicate__Writer.cpp
	MediaInfo/Duplicate/File__Duplicate_MpegTs.cpp
	MediaInfo/Image/File_Bmp.cpp
	MediaInfo/Image/File_Gif.cpp
	MediaInfo/Image/File_Ico.cpp
	MediaInfo/Image/File_Jpeg.cpp
	MediaInfo/Image/File_Png.cpp
	MediaInfo/Image/File_Rle.cpp
	MediaInfo/Image/File_Tiff.cpp
	MediaInfo/Multiple/File_Cdxa.cpp
	MediaInfo/Multiple/File_Dpg.cpp
	MediaInfo/Multiple/File_DvDif.cpp
	MediaInfo/Multiple/File_DvDif_Analysis.cpp
	MediaInfo/Multiple/File_Dvdv.cpp
	MediaInfo/Multiple/File_Flv.cpp
	MediaInfo/Multiple/File_Mk.cpp
	MediaInfo/Multiple/File_Mpeg4.cpp
	MediaInfo/Multiple/File_Mpeg4_Descriptors.cpp
	MediaInfo/Multiple/File_Mpeg4_Elements.cpp
	MediaInfo/Multiple/File_Mpeg4_TimeCode.cpp
	MediaInfo/Multiple/File_Mpeg_Descriptors.cpp
	MediaInfo/Multiple/File_Mpeg_Psi.cpp
	MediaInfo/Multiple/File_MpegPs.cpp
	MediaInfo/Multiple/File_MpegTs.cpp
	MediaInfo/Multiple/File_MpegTs_Duplicate.cpp
	MediaInfo/Multiple/File_Mxf.cpp
	MediaInfo/Multiple/File_Nut.cpp
	MediaInfo/Multiple/File_Ogg.cpp
	MediaInfo/Multiple/File_Ogg_SubElement.cpp
	MediaInfo/Multiple/File_Riff.cpp
	MediaInfo/Multiple/File_Riff_Elements.cpp
	MediaInfo/Multiple/File_Rm.cpp
	MediaInfo/Multiple/File_Skm.cpp
	MediaInfo/Multiple/File_Swf.cpp
	MediaInfo/Multiple/File_Wm.cpp
	MediaInfo/Multiple/File_Wm_Elements.cpp
	MediaInfo/Reader/Reader_Directory.cpp \
	MediaInfo/Reader/Reader_File.cpp \
	MediaInfo/Reader/Reader_libcurl.cpp \
	MediaInfo/Reader/Reader_libmms.cpp \
	MediaInfo/Tag/File__Tags.cpp
	MediaInfo/Tag/File_ApeTag.cpp
	MediaInfo/Tag/File_Id3.cpp
	MediaInfo/Tag/File_Id3v2.cpp
	MediaInfo/Tag/File_Lyrics3.cpp
	MediaInfo/Tag/File_Lyrics3v2.cpp
	MediaInfo/Tag/File_VorbisCom.cpp
	MediaInfo/Text/File_Cmml.cpp
	MediaInfo/Text/File_Eia608.cpp
	MediaInfo/Text/File_Eia708.cpp
	MediaInfo/Text/File_Kate.cpp
	MediaInfo/Text/File_OtherText.cpp
	MediaInfo/Text/File_Pgs.cpp
	MediaInfo/Video/File_Avc.cpp
	MediaInfo/Video/File_Avc_Duplicate.cpp
	MediaInfo/Video/File_AvsV.cpp
	MediaInfo/Video/File_Dirac.cpp
	MediaInfo/Video/File_Flic.cpp
	MediaInfo/Video/File_Mpeg4v.cpp
	MediaInfo/Video/File_Mpegv.cpp
	MediaInfo/Video/File_Theora.cpp
	MediaInfo/Video/File_Vc1.cpp
	MediaInfo/MediaInfoDLL.cpp
	MediaInfo/MediaInfoDLL.def
)

if (WIN32)
	#FIXME MediaInfo.rc should use ${MEDIAINFO_MAJOR_VERSION} and friends
	list(APPEND mediainfo_SRCS
		MediaInfo.rc
	)
endif (WIN32)

add_library(mediainfo SHARED ${mediainfo_SRCS})

target_link_libraries(mediainfo
	zenlib
	${ZLIB_LIBRARY}
)

set_target_properties(mediainfo PROPERTIES
	VERSION ${MEDIAINFO_VERSION}
	SOVERSION ${MEDIAINFO_MAJOR_VERSION}
)

install(TARGETS mediainfo DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
libmediainfo (0.7.23-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <zen@mediaarea.net>  Thu, 01 Jan 2009 00:07:23 +0000

=== debian/control ===
Source: libmediainfo
Priority: optional
Maintainer: Jerome Martinez <zen@mediaarea.net>
Build-Depends: debhelper (>= 5), doxygen, tofrodos, libzen0-dev (>= 0.4.7), zlib1g-dev, pkg-config, automake, autoconf, libtool
Standards-Version: 3.7.3
Section: libs
Homepage: http://mediainfo.sourceforge.net

Package: libmediainfo0-dev
Section: libdevel
Architecture: any
Depends: libmediainfo0 (>= 0.7.23), libzen0-dev (>= 0.4.7)
Description: MediaInfo supplies information about a video or audio file
 This package includes the development support files of the libmediainfo

Package: libmediainfo0
Section: libs
Architecture: any
Depends: libzen0 (>= 0.4.7), zlib1g
Description: MediaInfo supplies information about a video or audio file
 MediaInfo supplies technical and tag information about a video or audio file
 .
 What information can I get from MediaInfo?
 General: title, author, director, album, track number, date, duration...
 Video: codec, aspect, fps, bitrate...
 Audio: codec, sample rate, channels, language, bitrate...
 Text: language of subtitle
 Chapters: number of chapters, list of chapters
 .
 What format (container) does MediaInfo support?
 Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
        MPEG-4, DVD (VOB)...
 (Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
 Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
 Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package includes the shared library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# shared library versions
version=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	fromdos      *.txt *.html Source/Doc/*.html
	chmod 644    *.txt *.html Source/Doc/*.html
	cd Source/Doc && doxygen Doxyfile
	cp Source/Doc/*.html ./
	cd Project/GNU/Library && chmod u+x autogen
	cd Project/GNU/Library && ./autogen
	cd Project/GNU/Library && ./configure --enable-shared --prefix=/usr --disable-libcurl --disable-libmms

	touch $@


build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	cd Project/GNU/Library && $(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	# $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	cd Project/GNU/Library && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	install -dm 755 $(CURDIR)/debian/tmp/usr/include/MediaInfo
	install -m 644 Source/MediaInfo/MediaInfo.h $(CURDIR)/debian/tmp/usr/include/MediaInfo
	install -m 644 Source/MediaInfo/MediaInfoList.h $(CURDIR)/debian/tmp/usr/include/MediaInfo
	install -m 644 Source/MediaInfo/MediaInfo_Const.h $(CURDIR)/debian/tmp/usr/include/MediaInfo
	install -dm 755 $(CURDIR)/debian/tmp/usr/include/MediaInfoDLL
	install -m 644 Source/MediaInfoDLL/MediaInfoDLL.cs $(CURDIR)/debian/tmp/usr/include/MediaInfoDLL
	install -m 644 Source/MediaInfoDLL/MediaInfoDLL.def $(CURDIR)/debian/tmp/usr/include/MediaInfoDLL
	install -m 644 Source/MediaInfoDLL/MediaInfoDLL.h $(CURDIR)/debian/tmp/usr/include/MediaInfoDLL
	install -m 644 Source/MediaInfoDLL/MediaInfoDLL.JNA.java $(CURDIR)/debian/tmp/usr/include/MediaInfoDLL
	install -m 644 Source/MediaInfoDLL/MediaInfoDLL.JNative.java $(CURDIR)/debian/tmp/usr/include/MediaInfoDLL
	install -m 644 Source/MediaInfoDLL/MediaInfoDLL.py $(CURDIR)/debian/tmp/usr/include/MediaInfoDLL
	install -m 644 Source/MediaInfoDLL/MediaInfoDLL3.py $(CURDIR)/debian/tmp/usr/include/MediaInfoDLL

	sed -i -e 's|Version: |Version: %{version}|g' Project/GNU/Library/libmediainfo.pc
	install -dm 755 $(CURDIR)/debian/tmp/usr/lib/pkgconfig
	install -m 644 Project/GNU/Library/libmediainfo.pc $(CURDIR)/debian/tmp/usr/lib/pkgconfig

	install -dm 755 $(CURDIR)/debian/tmp/usr/share/doc/libmediainfo0
	install -m 644 Release/ReadMe_DLL_Linux.txt $(CURDIR)/debian/tmp/usr/share/doc/libmediainfo0/ReadMe.txt
	install -m 644 History_DLL.txt $(CURDIR)/debian/tmp/usr/share/doc/libmediainfo0/History.txt
	install -m 644 License.html $(CURDIR)/debian/tmp/usr/share/doc/libmediainfo0
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/doc/libmediainfo0-dev
	install -m 644 Changes.txt $(CURDIR)/debian/tmp/usr/share/doc/libmediainfo0-dev
	install -m 644 Documentation.html $(CURDIR)/debian/tmp/usr/share/doc/libmediainfo0-dev
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/doc/libmediainfo0-dev/Doc
	install -m 644 Doc/* $(CURDIR)/debian/tmp/usr/share/doc/libmediainfo0-dev/Doc
	install -m 644 Source/Example/HowToUse* $(CURDIR)/debian/tmp/usr/share/doc/libmediainfo0-dev


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libmediainfo 0.7.52

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -32,40 +32,47 @@
 	MediaInfo/MediaInfo_Internal.cpp
 	MediaInfo/MediaInfoList.cpp
 	MediaInfo/MediaInfoList_Internal.cpp
+	MediaInfo/TimeCode.cpp
 	MediaInfo/Archive/File_7z.cpp
 	MediaInfo/Archive/File_Ace.cpp
 	MediaInfo/Archive/File_Bzip2.cpp
 	MediaInfo/Archive/File_Elf.cpp
 	MediaInfo/Archive/File_Gzip.cpp
+	MediaInfo/Archive/File_Iso9660.cpp
 	MediaInfo/Archive/File_Mz.cpp
 	MediaInfo/Archive/File_Rar.cpp
 	MediaInfo/Archive/File_Tar.cpp
 	MediaInfo/Archive/File_Zip.cpp
 	MediaInfo/Audio/File_Aac.cpp
+	MediaInfo/Audio/File_Aac_GeneralAudio.cpp
+	MediaInfo/Audio/File_Aac_GeneralAudio_Sbr.cpp
+	MediaInfo/Audio/File_Aac_GeneralAudio_Sbr_Ps.cpp
+	MediaInfo/Audio/File_Aac_Main.cpp
+	MediaInfo/Audio/File_Aac_Others.cpp
 	MediaInfo/Audio/File_Ac3.cpp
-	MediaInfo/Audio/File_Adif.cpp
 	MediaInfo/Audio/File_Adpcm.cpp
-	MediaInfo/Audio/File_Adts.cpp
 	MediaInfo/Audio/File_Aes3.cpp
 	MediaInfo/Audio/File_Als.cpp
 	MediaInfo/Audio/File_Amr.cpp
 	MediaInfo/Audio/File_Amv.cpp
 	MediaInfo/Audio/File_Ape.cpp
 	MediaInfo/Audio/File_Au.cpp
+	MediaInfo/Audio/File_Celt.cpp
+	MediaInfo/Audio/File_ChannelGrouping.cpp
 	MediaInfo/Audio/File_Dts.cpp
+	MediaInfo/Audio/File_DolbyE.cpp
 	MediaInfo/Audio/File_ExtendedModule.cpp
 	MediaInfo/Audio/File_Flac.cpp
 	MediaInfo/Audio/File_ImpulseTracker.cpp
 	MediaInfo/Audio/File_La.cpp
-	MediaInfo/Audio/File_Latm.cpp
 	MediaInfo/Audio/File_Midi.cpp
 	MediaInfo/Audio/File_Module.cpp
 	MediaInfo/Audio/File_Mpc.cpp
 	MediaInfo/Audio/File_MpcSv8.cpp
-	MediaInfo/Audio/File_Mpeg4_AudioSpecificConfig.cpp
 	MediaInfo/Audio/File_Mpega.cpp
 	MediaInfo/Audio/File_Pcm.cpp
 	MediaInfo/Audio/File_Ps2Audio.cpp
+	MediaInfo/Audio/File_Rkau.cpp
 	MediaInfo/Audio/File_ScreamTracker3.cpp
 	MediaInfo/Audio/File_Speex.cpp
 	MediaInfo/Audio/File_Tak.cpp
@@ -76,19 +83,36 @@
 	MediaInfo/Duplicate/File__Duplicate__Base.cpp
 	MediaInfo/Duplicate/File__Duplicate__Writer.cpp
 	MediaInfo/Duplicate/File__Duplicate_MpegTs.cpp
+	MediaInfo/Export/Export_Mpeg7.cpp
+	MediaInfo/Export/Export_PBCore.cpp
 	MediaInfo/Image/File_Bmp.cpp
+	MediaInfo/Image/File_Dpx.cpp
+	MediaInfo/Image/File_Exr.cpp
 	MediaInfo/Image/File_Gif.cpp
 	MediaInfo/Image/File_Ico.cpp
 	MediaInfo/Image/File_Jpeg.cpp
 	MediaInfo/Image/File_Png.cpp
 	MediaInfo/Image/File_Rle.cpp
 	MediaInfo/Image/File_Tiff.cpp
+	MediaInfo/Image/File_Tga.cpp
+	MediaInfo/Multiple/File__ReferenceFilesHelper.cpp
+	MediaInfo/Multiple/File_Ancillary.cpp
+	MediaInfo/Multiple/File_Bdav.cpp
 	MediaInfo/Multiple/File_Cdxa.cpp
+	MediaInfo/Multiple/File_Dcp.cpp
 	MediaInfo/Multiple/File_Dpg.cpp
 	MediaInfo/Multiple/File_DvDif.cpp
 	MediaInfo/Multiple/File_DvDif_Analysis.cpp
 	MediaInfo/Multiple/File_Dvdv.cpp
+	MediaInfo/Multiple/File_Dxw.cpp
 	MediaInfo/Multiple/File_Flv.cpp
+	MediaInfo/Multiple/File_Gxf.cpp
+	MediaInfo/Multiple/File_Gxf_TimeCode.cpp
+	MediaInfo/Multiple/File_Ibi.cpp
+	MediaInfo/Multiple/File_Ibi_Create.cpp
+	MediaInfo/Multiple/File_Ism.cpp
+	MediaInfo/Multiple/File_Ivf.cpp
+	MediaInfo/Multiple/File_Lxf.cpp
 	MediaInfo/Multiple/File_Mk.cpp
 	MediaInfo/Multiple/File_Mpeg4.cpp
 	MediaInfo/Multiple/File_Mpeg4_Descriptors.cpp
@@ -103,13 +127,16 @@
 	MediaInfo/Multiple/File_Nut.cpp
 	MediaInfo/Multiple/File_Ogg.cpp
 	MediaInfo/Multiple/File_Ogg_SubElement.cpp
+	MediaInfo/Multiple/File_P2_Clip.cpp
 	MediaInfo/Multiple/File_Riff.cpp
 	MediaInfo/Multiple/File_Riff_Elements.cpp
 	MediaInfo/Multiple/File_Rm.cpp
 	MediaInfo/Multiple/File_Skm.cpp
 	MediaInfo/Multiple/File_Swf.cpp
+	MediaInfo/Multiple/File_Umf.cpp
 	MediaInfo/Multiple/File_Wm.cpp
 	MediaInfo/Multiple/File_Wm_Elements.cpp
+	MediaInfo/Multiple/File_Xdcam_Clip.cpp
 	MediaInfo/Reader/Reader_Directory.cpp \
 	MediaInfo/Reader/Reader_File.cpp \
 	MediaInfo/Reader/Reader_libcurl.cpp \
@@ -121,23 +148,35 @@
 	MediaInfo/Tag/File_Lyrics3.cpp
 	MediaInfo/Tag/File_Lyrics3v2.cpp
 	MediaInfo/Tag/File_VorbisCom.cpp
+	MediaInfo/Text/File_Cdp.cpp
 	MediaInfo/Text/File_Cmml.cpp
+	MediaInfo/Text/File_DvbSubtitle.cpp
+	MediaInfo/Text/File_DtvccTransport.cpp
 	MediaInfo/Text/File_Eia608.cpp
 	MediaInfo/Text/File_Eia708.cpp
 	MediaInfo/Text/File_Kate.cpp
+	MediaInfo/Text/File_N19.cpp
 	MediaInfo/Text/File_OtherText.cpp
 	MediaInfo/Text/File_Pgs.cpp
+	MediaInfo/Text/File_Scc.cpp
+	MediaInfo/Text/File_Scte20.cpp
+	MediaInfo/Text/File_Teletext.cpp
 	MediaInfo/Video/File_Avc.cpp
 	MediaInfo/Video/File_Avc_Duplicate.cpp
 	MediaInfo/Video/File_AvsV.cpp
+	MediaInfo/Video/File_AfdBarData.cpp
 	MediaInfo/Video/File_Dirac.cpp
 	MediaInfo/Video/File_Flic.cpp
+	MediaInfo/Video/File_Fraps.cpp
+	MediaInfo/Video/File_Lagarith.cpp
 	MediaInfo/Video/File_Mpeg4v.cpp
 	MediaInfo/Video/File_Mpegv.cpp
 	MediaInfo/Video/File_Theora.cpp
 	MediaInfo/Video/File_Vc1.cpp
-	MediaInfo/MediaInfoDLL.cpp
-	MediaInfo/MediaInfoDLL.def
+	MediaInfo/Video/File_Vc3.cpp
+	MediaInfo/Video/File_Y4m.cpp
+	MediaInfoDLL/MediaInfoDLL.cpp
+	MediaInfoDLL/MediaInfoDLL.def
 )
 
 if (WIN32)

=== debian/changelog ===
libmediainfo (0.7.52-1) unstable; urgency=low

  *  Initial release (Closes: #654235)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 02 Jan 2012 19:29:00 +0800

=== debian/control ===
Source: libmediainfo
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 8.9.0~),
               dh-autoreconf,
               doxygen,
               tofrodos,
               libzen-dev (>= 0.4.23),
               zlib1g-dev,
               pkg-config
Standards-Version: 3.9.2
Section: libs
Homepage: http://mediainfo.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-multimedia/libmediainfo.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libmediainfo.git

Package: libmediainfo-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libzen-dev (>= 0.4.23),
         libmediainfo0 (= ${binary:Version}),
         ${misc:Depends}
Description: library reading metadata from media files -- headers
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the headers and other development support files needed
 for compiling and linking applications and libraries which use this library.

Package: libmediainfo0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for reading metadata from media files -- shared library
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the shared library needed for running applications which
 use this library.

Package: libmediainfo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for reading metadata from media files -- documentation
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the Doxygen generated API reference for developing
 applications/libraries using this library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# shared library versions
version = $(shell dpkg-parsechangelog | sed -nre 's/^Version: (.*)-.*/\1/p')

override_dh_auto_configure:
	dh_auto_configure -DProject/GNU/Library --	\
		--enable-shared				\
		--enable-visibility			\
		--disable-libcurl			\
		--disable-libmms

override_dh_auto_build:
	cd Source/Doc && doxygen Doxyfile
	cp Source/Doc/*.html ./
	dh_auto_build -DProject/GNU/Library

override_dh_auto_install:
	dh_auto_install -DProject/GNU/Library

override_dh_install:
	dh_install
	sed -i -e 's|Version: |Version: $(version)|g' debian/libmediainfo-dev/usr/lib/pkgconfig/libmediainfo.pc

override_dh_auto_clean:
	dh_auto_clean -DProject/GNU/Library

override_dh_installdocs:
	dh_installdocs
	fromdos debian/*/usr/share/doc/*/*.txt

override_dh_installchangelogs:
	dh_installchangelogs Changes.txt
	fromdos debian/*/usr/share/doc/*/changelog

override_dh_installexamples:
	dh_installexamples
	if dh_listpackages | grep -q libmediainfo-doc; then					\
		chmod 0644 debian/libmediainfo-doc/usr/share/doc/libmediainfo-doc/examples/*;	\
	fi

%:
	dh $@ --with=autoreconf

## libmediainfo 0.7.53

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -2,16 +2,19 @@
 
 set(MEDIAINFO_MAJOR_VERSION 0)
 set(MEDIAINFO_MINOR_VERSION 7)
-set(MEDIAINFO_PATCH_VERSION 9)
+set(MEDIAINFO_PATCH_VERSION 53)
 set(MEDIAINFO_VERSION ${MEDIAINFO_MAJOR_VERSION}.${MEDIAINFO_MINOR_VERSION}.${MEDIAINFO_PATCH_VERSION})
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../)
 
 include_directories(${ZLIB_INCLUDE_DIR})
 
-add_definitions(-DUNICODE -DMEDIAINFO_MINIMIZESIZE)
+add_definitions(-DUNICODE)
 
 set(mediainfo_SRCS
+	ThirdParty/tinyxml/tinyxml.cpp
+	ThirdParty/tinyxml/tinyxmlerror.cpp
+	ThirdParty/tinyxml/tinyxmlparser.cpp
 	MediaInfo/File__Analyze.cpp
 	MediaInfo/File__Analyze_Buffer.cpp
 	MediaInfo/File__Analyze_Buffer_MinimizeSize.cpp
@@ -85,6 +88,7 @@
 	MediaInfo/Duplicate/File__Duplicate_MpegTs.cpp
 	MediaInfo/Export/Export_Mpeg7.cpp
 	MediaInfo/Export/Export_PBCore.cpp
+	MediaInfo/Export/Export_reVTMD.cpp
 	MediaInfo/Image/File_Bmp.cpp
 	MediaInfo/Image/File_Dpx.cpp
 	MediaInfo/Image/File_Exr.cpp
@@ -131,6 +135,7 @@
 	MediaInfo/Multiple/File_Riff.cpp
 	MediaInfo/Multiple/File_Riff_Elements.cpp
 	MediaInfo/Multiple/File_Rm.cpp
+	MediaInfo/Multiple/File_SequenceInfo.cpp
 	MediaInfo/Multiple/File_Skm.cpp
 	MediaInfo/Multiple/File_Swf.cpp
 	MediaInfo/Multiple/File_Umf.cpp

=== debian/changelog ===
libmediainfo (0.7.53-2) unstable; urgency=low

  * [c68e5bb] Clean up doxygen generated files.
    This fixes issues with double-building. (Closes: #656918)
  * [3e7e828] Drop public dependency of libzen in .pc file
  * [e8b4cce] Drop libzen-dev dependency in libmediainfo-dev

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 29 Jan 2012 06:15:32 +0800

libmediainfo (0.7.53-1) unstable; urgency=low

  * [c09c8a3] Add watchfile
  * [d01eaa2] Imported Upstream version 0.7.53
    - Fixes issue with missing -DUNICODE flag (Closes: #656929)
  * [1f9257f] Drop gbp.conf.
    We use gz tarballs which are pristine-tar-able now
  * [4fa4d5a] Add --with-tinyxml (use system tinyxml)
  * [2515c8e] Enable parallel builds
  * [739b1ec] Don't expose tinyxml dependency
  * [1a43861] Add libzen to Requires of .pc file

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 26 Jan 2012 10:26:36 +0800

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libzen-dev (>= 0.4.23),
-         libmediainfo0 (= ${binary:Version}),
+Depends: libmediainfo0 (= ${binary:Version}),
          ${misc:Depends}
 Description: library reading metadata from media files -- headers
  MediaInfo is a library used for retrieving technical information and other

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 		--enable-shared				\
 		--enable-visibility			\
 		--disable-libcurl			\
-		--disable-libmms
+		--disable-libmms			\
+		--with-libtinyxml
 
 override_dh_auto_build:
 	cd Source/Doc && doxygen Doxyfile
@@ -26,6 +27,9 @@
 override_dh_auto_clean:
 	dh_auto_clean -DProject/GNU/Library
 
+	rm -rf Doc/
+	(cd Source/Doc && find -maxdepth 1 -name '*.html' -print0) | xargs -0 rm -f
+
 override_dh_installdocs:
 	dh_installdocs
 	fromdos debian/*/usr/share/doc/*/*.txt
@@ -41,4 +45,4 @@
 	fi
 
 %:
-	dh $@ --with=autoreconf
+	dh $@ --with=autoreconf --parallel

=== debian/watch ===
version=3

http://download.mediaarea.net/source/libmediainfo/([0-9.]+)/ libmediainfo_([0-9.]+)\.tar\.gz

## libmediainfo 0.7.58

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -12,9 +12,7 @@
 add_definitions(-DUNICODE)
 
 set(mediainfo_SRCS
-	ThirdParty/tinyxml/tinyxml.cpp
-	ThirdParty/tinyxml/tinyxmlerror.cpp
-	ThirdParty/tinyxml/tinyxmlparser.cpp
+	ThirdParty/tinyxml2/tinyxml2.cpp
 	MediaInfo/File__Analyze.cpp
 	MediaInfo/File__Analyze_Buffer.cpp
 	MediaInfo/File__Analyze_Buffer_MinimizeSize.cpp
@@ -173,12 +171,14 @@
 	MediaInfo/Video/File_Dirac.cpp
 	MediaInfo/Video/File_Flic.cpp
 	MediaInfo/Video/File_Fraps.cpp
+	MediaInfo/Video/File_H263.cpp
 	MediaInfo/Video/File_Lagarith.cpp
 	MediaInfo/Video/File_Mpeg4v.cpp
 	MediaInfo/Video/File_Mpegv.cpp
 	MediaInfo/Video/File_Theora.cpp
 	MediaInfo/Video/File_Vc1.cpp
 	MediaInfo/Video/File_Vc3.cpp
+	MediaInfo/Video/File_Vp8.cpp
 	MediaInfo/Video/File_Y4m.cpp
 	MediaInfoDLL/MediaInfoDLL.cpp
 	MediaInfoDLL/MediaInfoDLL.def

=== debian/changelog ===
libmediainfo (0.7.58-1) unstable; urgency=low

  * [7821ed5] Imported Upstream version 0.7.58

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 03 Jun 2012 14:44:10 +0800

libmediainfo (0.7.57-1) unstable; urgency=low

  * [253bc4c] Imported Upstream version 0.7.57:
    - New features:
      + #3513490, Vorbis comment (Flac, Ogg): more tags are supported
      + XML-based formats (P2, XDCAM, DCP, ISM, HLS...): support of UTF-16
        encoding
      + MPEG-4: for buggy PCM, prioritizing the codec ID "in24" = 24-bit against
        the bit depth field
    - Upstream Bug fixes:
      + #3516900, Vorbis comment (Flac, Ogg): trying to do better mapping of
        PERFORMER and ARTIST tags
      + MXF: wrong video frame count in some cases
      + #3517374, GCC 4.7: compilation issues removal, thanks to SpepS
      + MPEG-PS: some files were not well demuxed so analysis was sometimes
        wrong (especially macroblock parsing)
  * [77978a5] Build-depend on libtinyxml2-dev
  * [41b551c] Update configure flag to --with-libtinyxml2
  * [22ad4d4] Update regex for ignored symbols
  * [1636c13] Call dpkg-gensymbols with -c4.
    We want to be as strict as possible to ensure that the symbols file is
    always up to date.

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 24 May 2012 21:16:58 +0800

libmediainfo (0.7.56-1) unstable; urgency=low

  * [49afb28] Imported Upstream version 0.7.56:
    - New features:
      + Better support of machines lacking of std::stringstream
      + Better support of machines requesting explicit stdc++ library link
        option (e.g. some ARM embedded devices)
      + AC-3: support of little endian streams
      + LXF: support of format version 0
      + HLS: support of .m3u8 index and sequence referencing a bunch of MPEG-TS
        files
      + MPEG-4: Added support of glbl atom and corresponding 4CC (ai12, ai15,
        ai1q, ai5q)
      + MPEG-4: Added detection of files with mx5p files wrongly filled with raw
        MPEG Video instead of MXF
      + MPEG-TS: Detection of 20-bit Dolby E even if the SMPTE 302 M header is
        set to 24-bit
    - Upstream bug fixes:
      + Correction
      + sf#3515515, MPEG-4: crash with MPEG-4 container + H264/AVC video stream
      + sf#3515393, MPEG Audio: infinite loop (freeze) with some files
      + sf#3514677, Video: Well known 1.85:1 display aspect ratio was
        incorrectly displayed as 16:9
      + sf#3513908, File interface: No output if filename contain a colon
      + AVI: infinite loop (freeze) with some files (having index containing
        0-sized chunk)
      + AVC: memory leaks
      + libcurl support: libcurl config from MediaInfo is compatible with
        libcurl+gnutls
      + sf#3513490, Id3v2: mapping of "Encoded by" and "Encoding library" is
        conform to the specs now
      + MXF: hang up with some clip-wrapped files
      + MPEG-4: AVC-100 bit rate was not coherent depending of the container
        (MPEG-4 or MXF)
      + reVTMD output is disabled due to its non-free (point of view of FSF and
        DFSG) licensing.
  * [2527bf2] Drop 0001-Don-t-expose-tinyxml-dependency.patch (applied upstream)
  * [7a2e4d4] Refresh Drop-direct-linkage-of-libzen-in-.pc.patch
  * [6435829] Bump Standards-Version to 3.9.3
    - Update debian/copyright Format URL
  * [4b620bd] Bump debhelper build-dep version to 9

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 22 Apr 2012 18:56:27 +0800

libmediainfo (0.7.54-1) UNRELEASED; urgency=low

  * [3e0843e] Update watch url
  * [6aab287] Imported Upstream version 0.7.54:
    - New features:
      + #3480111, Matroska: parsing of WebM-style frame rate info
      + #3499859, ALAC: parsing of the alac atom, for real bit depth / sample
        rate
      + #3487601, DV: fields order (TFF/BFF)
      + MPEG-4: more video 4CCs binded to MPEG Video
      + H.263: raw stream parsing (width, height, aspect ratio), comparison with
        container data
      + Speed improvements
      + MPEG-PS: supporting parsing of some non-conform files
      + Full support of CEA-608 (separation of CC1-CC4, T1-T4)
      + #3494722, MPEG-4: trying to detect wrong duration in track header
      + MPEG-4 with embedded MXF track (XDCAM...): separation of video bitrate
        and padding bitrate
      + Compound streams (e.g. DV): separation of video bitrate and audio
        bitrate
      + Blu-ray: LPCM mono real bit rate is separated from the encoded (stereo)
        bit rate
      + Support of https, sftp scp protocols (custom builds only)
      + AVI: vprp (OpenDML) display aspect ratio support

    - Upstream bug fixes:
      + sf#3480111, Matroska: some frame rates are incorrect in the file, trying
        to detect this kind of malformed file
      + sf#3479494, AVC: segmentation fault
      + sf#3440638, AAC: wrong detection for some malformed AAC streams
      + sf#3440638, MPEG-4: wrong analysis of some files having track header
        after media information
      + sf#3480111, MXF: Height was wrong for MXF with FrameLayout = Mixed
        fields
      + sf#3468235, Blu-ray: displaying PGS in all cases (even if PES is not
        detected, they are too much rare)
      + sf#3498846, MPEG-4: delay between audio and video was no more detected
      + sf#3495573, MPEG-4: crash with some files having fragments
      + MPEG-4: channel position in case of channel atom is configured with
        ChannelBitmap
      + MPEG-TS: crash with some buggy files (a PID indicated as PSI and PES at
        the same time)
      + AES3: not detecting Dolby E stream if there is guard band before the
        Dolby E frame, in MPEG-TS
      + DPX: some files with some invalid fields were not detected
      + DTVCC Captions: crash with some buggy streams

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 31 Mar 2012 06:01:01 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: libmediainfo
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 8.9.0~),
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                doxygen,
                tofrodos,
                libzen-dev (>= 0.4.23),
+               libtinyxml2-dev,
                zlib1g-dev,
                pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://mediainfo.sourceforge.net
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/libmediainfo.git

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 		--enable-visibility			\
 		--disable-libcurl			\
 		--disable-libmms			\
-		--with-libtinyxml
+		--with-libtinyxml2
 
 override_dh_auto_build:
 	cd Source/Doc && doxygen Doxyfile
@@ -44,5 +44,8 @@
 		chmod 0644 debian/libmediainfo-doc/usr/share/doc/libmediainfo-doc/examples/*;	\
 	fi
 
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c4
+
 %:
 	dh $@ --with=autoreconf --parallel

## libmediainfo 0.7.59

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -71,6 +71,7 @@
 	MediaInfo/Audio/File_Mpc.cpp
 	MediaInfo/Audio/File_MpcSv8.cpp
 	MediaInfo/Audio/File_Mpega.cpp
+	MediaInfo/Audio/File_Opus.cpp
 	MediaInfo/Audio/File_Pcm.cpp
 	MediaInfo/Audio/File_Ps2Audio.cpp
 	MediaInfo/Audio/File_Rkau.cpp
@@ -93,7 +94,9 @@
 	MediaInfo/Image/File_Gif.cpp
 	MediaInfo/Image/File_Ico.cpp
 	MediaInfo/Image/File_Jpeg.cpp
+	MediaInfo/Image/File_Pcx.cpp
 	MediaInfo/Image/File_Png.cpp
+	MediaInfo/Image/File_Psd.cpp
 	MediaInfo/Image/File_Rle.cpp
 	MediaInfo/Image/File_Tiff.cpp
 	MediaInfo/Image/File_Tga.cpp
@@ -175,6 +178,7 @@
 	MediaInfo/Video/File_Lagarith.cpp
 	MediaInfo/Video/File_Mpeg4v.cpp
 	MediaInfo/Video/File_Mpegv.cpp
+	MediaInfo/Video/File_ProRes.cpp
 	MediaInfo/Video/File_Theora.cpp
 	MediaInfo/Video/File_Vc1.cpp
 	MediaInfo/Video/File_Vc3.cpp

=== debian/changelog ===
libmediainfo (0.7.59-1) experimental; urgency=low

  * [5c6d445] Bump libzen-dev build-dep version
  * [f80f420] Imported Upstream version 0.7.59

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 19 Aug 2012 20:12:33 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
                dh-autoreconf,
                doxygen,
                tofrodos,
-               libzen-dev (>= 0.4.23),
+               libzen-dev (>= 0.4.25),
                libtinyxml2-dev,
                zlib1g-dev,
                pkg-config

## libmediainfo 0.7.60

=== debian/changelog ===
libmediainfo (0.7.60-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 00:07:10 +0000

=== debian/control ===
Source: libmediainfo
Priority: optional
Maintainer: MediaArea.net SARL <info@mediaarea.net>
Build-Depends: debhelper (>= 5), doxygen, tofrodos, libzen-dev (>= 0.4.25), zlib1g-dev, pkg-config, automake, autoconf, libtool
Standards-Version: 3.7.3
Section: libs
Homepage: http://mediainfo.sourceforge.net
Vcs-Svn: https://mediainfo.svn.sourceforge.net/svnroot/mediainfo/MediaInfoLib/
Vcs-Browser: http://mediainfo.svn.sourceforge.net/viewvc/mediainfo/MediaInfoLib/

Package: libmediainfo0
Section: libs
Architecture: any
Depends: libzen0 (>= 0.4.25), zlib1g
Description: MediaInfo is a convenient unified display of the most relevant technical
 and tag data for video and audio files.
 .
 The MediaInfo data display includes:
 - Container: format, profile, commercial name of the format, duration,
   overall bit rate, writing application and library, title, author,
   director, album, track number, date, duration...
 - Video: format, codec id, aspect, frame rate, bit rate, color space,
   chroma subsampling, bit depth, scan type, scan order...
 - Audio: format, codec id, sample rate, channels, bit depth, language,
   bit rate...
 - Text: format, codec id, language of subtitle...
 - Chapters: count of chapters, list of chapters...
 .
 MediaInfo analyticals include:
 - Container: MPEG-4, QuickTime, Matroska, AVI, MPEG-PS (including DVD),
   MPEG-TS (including Blu-ray), MXF, GXF, LXF, WMV, FLV, Real...
 - Tags: Id3v1, Id3v2, Vorbis comments, APE tags...
 - Video: MPEG-1/2 Video, H.263, MPEG-4 Visual (including DivX, XviD),
   H.264/AVC, Dirac...
 - Audio: MPEG Audio (including MP3), AC3, DTS, AAC, Dolby E, AES3, FLAC...
 - Subtitles: CEA-608, CEA-708, DTVCC, SCTE-20, SCTE-128, ATSC/53, CDP, 
   DVB Subtitle, Teletext, SRT, SSA, ASS, SAMI...
 .
 This package contains the shared library for MediaInfo.

Package: libmediainfo-dev
Section: libdevel
Architecture: any
Depends: libmediainfo0 (>= 0.7.60), libzen-dev (>= 0.4.25)
Replaces: libmediainfo0-dev
Description: MediaInfo is a convenient unified display of the most relevant technical
 and tag data for video and audio files.
 .
 The MediaInfo data display includes:
 - Container: format, profile, commercial name of the format, duration,
   overall bit rate, writing application and library, title, author,
   director, album, track number, date, duration...
 - Video: format, codec id, aspect, frame rate, bit rate, color space,
   chroma subsampling, bit depth, scan type, scan order...
 - Audio: format, codec id, sample rate, channels, bit depth, language,
   bit rate...
 - Text: format, codec id, language of subtitle...
 - Chapters: count of chapters, list of chapters...
 .
 MediaInfo analyticals include:
 - Container: MPEG-4, QuickTime, Matroska, AVI, MPEG-PS (including DVD),
   MPEG-TS (including Blu-ray), MXF, GXF, LXF, WMV, FLV, Real...
 - Tags: Id3v1, Id3v2, Vorbis comments, APE tags...
 - Video: MPEG-1/2 Video, H.263, MPEG-4 Visual (including DivX, XviD),
   H.264/AVC, Dirac...
 - Audio: MPEG Audio (including MP3), AC3, DTS, AAC, Dolby E, AES3, FLAC...
 - Subtitles: CEA-608, CEA-708, DTVCC, SCTE-20, SCTE-128, ATSC/53, CDP, 
   DVB Subtitle, Teletext, SRT, SSA, ASS, SAMI...
 .
 This package contains the development support files needed for compiling
 and linking applications and libraries which use MediaInfo shared library.

## libmediainfo 0.7.64

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 
 set(mediainfo_SRCS
 	ThirdParty/tinyxml2/tinyxml2.cpp
+	ThirdParty/md5/md5.c
 	MediaInfo/File__Analyze.cpp
 	MediaInfo/File__Analyze_Buffer.cpp
 	MediaInfo/File__Analyze_Buffer_MinimizeSize.cpp
@@ -166,11 +167,16 @@
 	MediaInfo/Text/File_Pgs.cpp
 	MediaInfo/Text/File_Scc.cpp
 	MediaInfo/Text/File_Scte20.cpp
+	MediaInfo/Text/File_SubRip.cpp
 	MediaInfo/Text/File_Teletext.cpp
+	MediaInfo/Text/File_TimedText.cpp
+	MediaInfo/Text/File_Ttml.cpp
+	MediaInfo/Video/File_Aic.cpp
+	MediaInfo/Video/File_AfdBarData.cpp
 	MediaInfo/Video/File_Avc.cpp
 	MediaInfo/Video/File_Avc_Duplicate.cpp
 	MediaInfo/Video/File_AvsV.cpp
-	MediaInfo/Video/File_AfdBarData.cpp
+	MediaInfo/Video/File_Canopus.cpp
 	MediaInfo/Video/File_Dirac.cpp
 	MediaInfo/Video/File_Flic.cpp
 	MediaInfo/Video/File_Fraps.cpp

=== debian/changelog ===
libmediainfo (0.7.64-2) unstable; urgency=low

  * [40791b4] Update Homepage
  * [f9eb35b] Relicense debian/* under BSD-2-clause
  * [b9c78ab] Make libmediainfo-dev depend on libzen-dev.
    Its headers have some ZenLib includes, so libzen-dev is necessary.
    (LP: #1212569)
  * [62135a3] Add use of Requires: libzen into .pc

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 17 Aug 2013 03:13:53 +0800

libmediainfo (0.7.64-1) unstable; urgency=low

  * [3d2c4db] Imported Upstream version 0.7.64
  * [b7f14a1] Update copyright file

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 09 Jul 2013 23:05:18 +0800

libmediainfo (0.7.63-1) unstable; urgency=low

  * [cd628ff] Imported Upstream version 0.7.63
  * [4d8e014] Enable some additional dependencies
  * [c1efa4c] Refresh patch
  * [702fe1a] Add patch to fix pkg-config missing error
  * [1f67600] Build-depend on libglib2.0-dev
    mms.pc depends on glib-2.0.pc, but libmms-dev doesn't depend on
    libglib2.0-dev. This can be dropped once libmms-dev is fixed.

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 16 May 2013 23:30:01 +0800

libmediainfo (0.7.62-1) experimental; urgency=low

  * [d63ebce] Imported Upstream version 0.7.62
  * [bf20076] No-change bump of Standards-Version to 3.9.4

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 11 Mar 2013 22:11:12 +0800

libmediainfo (0.7.61-1) experimental; urgency=low

  * [94f6dbd] Imported Upstream version 0.7.61
  * [360e5da] Refresh Drop-direct-linkage-of-libzen-in-.pc.patch

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 28 Oct 2012 04:58:26 +0800

libmediainfo (0.7.60-1) experimental; urgency=low

  * [4068ade] Imported Upstream version 0.7.60

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 04 Sep 2012 01:25:51 +0800

=== debian/control ===
Source: libmediainfo
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               tofrodos,
               libzen-dev (>= 0.4.25),
               libtinyxml2-dev,
               libcurl4-gnutls-dev,
               libmms-dev,
               libglib2.0-dev,
               zlib1g-dev,
               pkg-config
Standards-Version: 3.9.4
Section: libs
Homepage: http://MediaArea.net/MediaInfo
Vcs-Git: git://git.debian.org/git/pkg-multimedia/libmediainfo.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libmediainfo.git

Package: libmediainfo-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libzen-dev,
         libmediainfo0 (= ${binary:Version}),
         ${misc:Depends}
Description: library reading metadata from media files -- headers
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the headers and other development support files needed
 for compiling and linking applications and libraries which use this library.

Package: libmediainfo0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for reading metadata from media files -- shared library
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the shared library needed for running applications which
 use this library.

Package: libmediainfo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for reading metadata from media files -- documentation
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the Doxygen generated API reference for developing
 applications/libraries using this library.

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,10 @@
 	dh_auto_configure -DProject/GNU/Library --	\
 		--enable-shared				\
 		--enable-visibility			\
-		--disable-libcurl			\
-		--disable-libmms			\
-		--with-libtinyxml2
+		--with-libcurl				\
+		--with-libmms				\
+		--with-libtinyxml2			\
+		--without-libmd5
 
 override_dh_auto_build:
 	cd Source/Doc && doxygen Doxyfile
